Bug 1018569 - [RFE]oo-accept-broker fails to detect package installation if system language is different than english
[RFE]oo-accept-broker fails to detect package installation if system language...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-13 08:24 EDT by Zamir SUN
Modified: 2015-05-14 22:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 950299
Environment:
Last Closed: 2014-01-29 19:46:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zamir SUN 2013-10-13 08:24:11 EDT
+++ This bug was initially created as a clone of Bug #950299 +++

Description of problem: Running oo-accept-broker won't return package not installed in French system.

How reproducible: Always


Steps to Reproduce:
1. Setup system locale info (In my case French)
2. Install openshift origin.
3. Remove mongodb
3. Run oo-accept-broker
  
Actual results:
FAIL: LOCAL: mongod service not enabled

Expected results:
package mongodb is not installed

Additional info:

The check on the script assumes english language (checks for line 368):

if echo $PKGSTATUS | grep "not installed" >/dev/null
However, in Francais, it is "le paquet $PKGNAME n'est pas installé"
the check fails.
Comment 1 Zamir SUN 2013-10-14 00:26:12 EDT
pull request https://github.com/openshift/origin-server/pull/3872
Comment 2 Abhishek Gupta 2013-11-13 13:18:46 EST
The pull request above is merged. This should now be fixed.
Comment 3 Jianwei Hou 2014-01-03 01:41:00 EST
Verified on oso-3 on Feodra 19(setup with oo-install)

1. Edit /usr/sbin/oo-accept-broker on line 637, added a line of additional package to check which is not on the system:
eg: check_packages abc
2. export LC_ALL=fr_FR.utf_8
3. oo-accept-broker -v

Result:
The program is able to detect the package which is not installed.
FAIL: package abc is not installed

Note You need to log in before you can comment on or make changes to this bug.